メインコンテンツへスキップ
PATCH
https://{tenantDomain}/api/v2
/
guardian
/
factors
/
push-notification
/
providers
/
fcm
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Guardian.Factors;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Guardian.Factors.PushNotification.UpdateFcmProviderAsync(
            new UpdateGuardianFactorsProviderPushNotificationFcmRequestContent()
        );
    }

}
package example

import (
    context "context"

    management "github.com/auth0/go-auth0/management/management"
    client "github.com/auth0/go-auth0/management/management/client"
    option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    request := &management.SetGuardianFactorsProviderPushNotificationFcmRequestContent{}
    client.Guardian.Factors.PushNotification.SetFcmProvider(
        context.TODO(),
        request,
    )
}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.guardian.factors.pushnotification.requests.UpdateGuardianFactorsProviderPushNotificationFcmRequestContent;

public class Example {
    public static void main(String[] args) {
        ManagementApi client = ManagementApi
            .builder()
            .token("<token>")
            .build();

        client.guardian().factors().pushNotification().updateFcmProvider(
            UpdateGuardianFactorsProviderPushNotificationFcmRequestContent
                .builder()
                .build()
        );
    }
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Guardian\Factors\PushNotification\Requests\UpdateGuardianFactorsProviderPushNotificationFcmRequestContent;

$client = new Management(
    token: '<token>',
);
$client->guardian->factors->pushNotification->updateFcmProvider(
    new UpdateGuardianFactorsProviderPushNotificationFcmRequestContent([]),
);
from auth0.management import ManagementClient

client = ManagementClient(
    token="<token>",
)

client.guardian.factors.push_notification.update_fcm_provider()
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.guardian.factors.push_notification.update_fcm_provider
import { ManagementClient } from "auth0";

async function main() {
    const client = new ManagementClient({
        token: "<token>",
    });
    await client.guardian.factors.pushNotification.setFcmProvider({});
}
main();
import { ManagementClient } from "auth0";

async function main() {
    const client = new ManagementClient({
        token: "<token>",
    });
    await client.guardian.factors.pushNotification.setFcmProvider({});
}
main();
curl --request PATCH \
  --url https://{tenantDomain}/api/v2/guardian/factors/push-notification/providers/fcm \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "server_key": "<string>"
}
'
{}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

ボディ

server_key
string | null
Required string length: 1 - 152

レスポンス

FCM configuration updated

The response is of type object.